<?php
if((isset($_GET["q"]) && !empty($_GET["q"]) && is_numeric($_GET["q"])))
{

if (file_exists("embedded/functions/site_functions.php"))
	{
	include_once("embedded/functions/site_functions.php");
	}
else
	{
include_once("../../embedded/functions/site_functions.php");
	}
	db_open();
$device_id=$_SESSION['device_id'];
$language=$_SESSION['language'];
if ($language==1)
	{
	$head1="Αποθηκεύστε για αλλαγή!";
	$problem="Σφάλμα βάσης δεδομένων!";
	$head2=" Σενάριο :";
	$head3="διεγράφη";
	$head4="Όνομα Σεναρίου :";
	$head5="Συνθήκες:";
	$head6="Αισθητήρας Θερμοκρασίας:";
	$from=" Από:";
	$to=" Έως:";
	$or="Ή";
	$and="Και";
	$value1="Αλλαγή";
	$value="Τέλος";
	$head7="Αισθητήρας υγρασίας:";
	$head8="Αισθητήρας υγρασίας εδάφους:";
	$status="Έδαφος:";
	$wet="Υγρό";
	$dry="Ξηρό";
	$head9="Αισθητήρας φωτισμού:";
	$edit="επεξεργαστήτε το";
	$delete=" διαγράψτε το ";
	$head55="Αέρας:";
	$head66="Φώς:";
	$head77="Νερό:";
	$head88="Αλλαγή στις συσκευές με τις on/off ενδείξεις!";
	$save="Αποθήκευση";
	$clear="Ακύρωση";
	$e1="απενεργοποιήστε τον αέρα";
	$e2="ενεργοποιήστε τον αέρα";
	$e3="απενεργοποιήστε το φως";
	$e4="ενεργοποιήστε το φως";
	$e5="απενεργοποιήστε το νερό";
	$e6="ενεργοποιήστε το νερό";
	}
else
	{
	$head1="Save in order to update!";
	$problem="Database Troubleshoot!";
	$head2=" Scenario :";
	$head3="deleted!";
	$head4="Scenario Name :";
	$head5="Conditions:";
	$head6="Tempereture sensor:";
	$from=" From:";
	$to=" To:";
	$or="OR";
	$and="AND";
	$value1="Change";
	$value="Finish";
	$head7="Humidity sensor:";
	$head8="Soil moisture sensor:";
	$status="Status:";
	$wet="Wet";
	$dry="Dry";
	$head9="Indoor Lighting sensor:";
	$edit="edit ";
	$delete="delete ";
	$head55="Fan:";
	$head66="Light:";
	$head77="Water";
	$head88="Make changes by on/off buttons!";
	$save="Save";
	$clear="Clear";
	$e1="disable fan";
	$e2="enable fan";
	$e3="disable light";
	$e4="enable light";
	$e5="disable water";
	$e6="enable water";
	}
$msg="";
$sd_disabled="";
$sd_disabled_d="";
$update="";
$result1=$result2="";
$s_msg="";
$q= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET['q']))));

//gia to change
	if (isset($_GET["e_s"]) && !empty($_GET["e_s"]))
		{
		$e_s=$_GET["e_s"];
		}
	else
		{
		$e_s="";
		}

	if(isset($_GET["sd"]) && !empty($_GET["sd"]) && is_numeric($_GET["sd"]) && $_GET["sd"]<=12)
	{
	$sd= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["sd"]))));
	$sd_disabled='disabled="true"';
	if ($sd==1)
		{
		$sd='';
		$sd_disabled_d="vision";
		$table="new_scenarios";
		$sql = "SELECT * FROM scenarios WHERE scenario_id='$q' AND device_id='$device_id'";
		@ $result=mysql_query($sql);
		if ($result!=0)
			{
			$result=mysql_fetch_array($result);
			$sql3 = "DELETE FROM new_scenarios WHERE device_id='$device_id'";
			@ $resulta=mysql_query($sql3);
			$sql1="INSERT INTO new_scenarios(scenario_id,scenario_name,device_id,temp_status,temp_prior,temp1,temp2,temp_rule,hum_status,hum_prior,hum1,hum2,hum_rule,somo_status,somo_prior,somo_limit,somo_rule,inli_status,inli_prior,inli1,inli2,inli_rule,fan,lighting,watering) 
			VALUES(NULL,'$result[1]','$result[2]','$result[3]','$result[4]','$result[5]','$result[6]','$result[7]','$result[8]',$result[9],'$result[10]','$result[11]','$result[12]','$result[13]','$result[14]','$result[15]','$result[16]','$result[17]','$result[18]','$result[19]','$result[20]','$result[21]','$result[22]','$result[23]','$result[24]')";
			@ $a=mysql_query($sql1);
			if ($a==1)
				{
				$sql3 = "SELECT * FROM new_scenarios WHERE scenario_name='$result[1]' AND device_id='$device_id'";
				@ $id1=mysql_query($sql3);
				$id=mysql_fetch_array($id1);
				$q=$id[0];
				$edit_class="vision11";
				$s_msg="$head88";
				}
			}
		}
	else if($sd==11)
		{
		$s_msg="$head88";
		$sd='';
		$table="new_scenarios";
		$edit_class="vision11";
		$sd_disabled_d="vision";
		}
	else if($sd==12)
		{
		$s_msg="$head88";
		$sd='';
		$table="new_scenarios";
		$edit_class="vision11";
		$sd_disabled_d="vision";
		if (isset($_GET['a']) && !empty($_GET['a']))
			{
			$a=$_GET['a'];
			if ($a==9)
				{
				if ($e_s==1)
					{
					$sql="UPDATE $table SET temp_status='0', temp_prior='0', temp1='0', temp2='0', temp_rule='0' WHERE scenario_id='$q'";
					@ $result1=mysql_query($sql);
					if ($result1==1)
						{
						$result2=$result1;
						}
					}
				else if ($e_s==2)
					{
					$sql="UPDATE $table SET hum_status='0', hum_prior='0', hum1='0', hum2='0', hum_rule='0' WHERE scenario_id='$q'";
					@ $result1=mysql_query($sql);
					if ($result1==1)
						{
						$result2=$result1;
						}
					}
				else if($e_s==3)
					{
					$sql="UPDATE $table SET somo_status='0', somo_prior='0', somo_limit='0', somo_rule='0' WHERE scenario_id='$q'";
					@ $result1=mysql_query($sql);
					if ($result1==1)
						{
						$result2=$result1;
						}
					}
				else if($e_s==4)
					{
					$sql="UPDATE $table SET inli_status='0', inli_prior='0', inli1='0', inli2='0', inli_rule='0' WHERE scenario_id='$q'";
					@ $result1=mysql_query($sql);
					if ($result1==1)
						{
						$result2=$result1;
						}
					}
				else
					{
					$result1=0;
					}
				}
			else
				{
				if ($e_s==1)
					{
					$c=explode("_",$a);
					$sql="UPDATE $table SET temp1='$c[0]',temp2='$c[1]' WHERE scenario_id='$q'";
					@ $result1=mysql_query($sql);
					if (!empty($c[2]))
						{
						$sql1="UPDATE $table SET temp_rule='$c[2]' WHERE scenario_id='$q'";
						@ $result2=mysql_query($sql1);
						}
					else
						{
						$result2=1;
						}
					}
				else if ($e_s==2)
					{
					$c=explode("_",$a);
					$sql="UPDATE $table SET hum1='$c[0]',hum2='$c[1]' WHERE scenario_id='$q'";
					@ $result1=mysql_query($sql);
					if (!empty($c[2]))
						{
						$sql1="UPDATE $table SET hum_rule='$c[2]' WHERE scenario_id='$q'";
						@ $result2=mysql_query($sql1);
						}
					else
						{
						$result2=1;
						}
					}
				else if ($e_s==2)
					{
					$c=explode("_",$a);
					$sql="UPDATE $table SET hum1='$c[0]',hum2='$c[1]' WHERE scenario_id='$q'";
					@ $result1=mysql_query($sql);
				
					if (!empty($c[2]))
						{
						$sql1="UPDATE $table SET hum_rule='$c[2]' WHERE scenario_id='$q'";
						@ $result2=mysql_query($sql1);
						}
					else
						{
						$result2=1;
						}
					}
				else if ($e_s==3)
					{
					$c=explode("_",$a);
					if($c[0]=="no")
						{
						$c[0]=0;
						}
					else
						{
						$c[0]=1;
						}
					$sql="UPDATE $table SET somo_limit='$c[0]' WHERE scenario_id='$q'";
					@ $result1=mysql_query($sql);
					if (!empty($c[2]))
						{
						$sql1="UPDATE $table SET somo_rule='$c[2]' WHERE scenario_id='$q'";
						@ $result2=mysql_query($sql1);
						}
					else
						{
						$result2=1;
						}
					}
				else if ($e_s==4)
					{
					$c=explode("_",$a);
					$sql="UPDATE $table SET inli1='$c[0]',inli2='$c[1]' WHERE scenario_id='$q'";
					@ $result1=mysql_query($sql);
					if (!empty($c[2]))
						{
						$sql1="UPDATE $table SET inli_rule='$c[2]' WHERE scenario_id='$q'";
						@ $result2=mysql_query($sql1);
						}
					else
						{
						$result2=1;
						}
					}
				else
					{
					$result1=0;
					}
				}
					if( $result1==1 && $result1==$result2)
						{
						$update="$head1";
						}
					else
						{
						
						$update='<span class="invalid">'.$problem.'</span>';
						}
			$e_s="";
			}
		}
	else
		{
		$table="scenarios";
		}
	}
	else
	{
	$sd=1;
	$table="scenarios";
	$edit_class="vision";
	$sd_disabled_d="vision11";
	}
	
	
	//dedomena gia to senario
	$sql = "SELECT * FROM $table WHERE scenario_id='$q' AND device_id='$device_id'";
	@ $result=mysql_query($sql);
	if ($result!=0)
		{
			$row=mysql_fetch_array($result);
			$scenario_name=$row["scenario_name"];
			if($sd==2)
			{
				$sql = "DELETE FROM $table WHERE scenario_id='$q' AND device_id='$device_id'";
				@ $result=mysql_query($sql);
				if ($result==1)
					{
					$sql1="SELECT * FROM schedule_scenarios WHERE scenario_id='$q' AND device_id='$device_id'";
					@ $result1=mysql_query($sql1);
					if ($result1!=0)
						{
						while ($r=mysql_fetch_array($result1))
							{
							$r=$r['schedule_id'];
							$sql2="DELETE FROM schedule_scenarios WHERE schedule_id='$r' AND device_id='$device_id'";
							@ $result2=mysql_query($sql2);
								if($result2 !=0)
									{
									$msg=$msg."";
									}
							}
						if($msg=="")
							{
							$msg='<span class="scenario_name">'.$head2.'</span><b><a id="s_n">'.$scenario_name.'</span><span class="summary_data"> <b>'.$head3.'</b></span>';
							}
						}
					}
				else
					{
					$msg='<span class="scenario_selection">'.$problem.'</span>';
					}	
			}
			else
			{
			$r="";
			$title='<span class="summary_title">'.$head4.'</span><b><a id="s_n">'.$scenario_name.'</a></b><br /><span class="con">'.$head5.'</span>';
			$a=scenario_data($scenario_name,$device_id,$table);
			$prior=array();
			$i=0;
			if ($a[3]!=0)
				{
				$prior[$i][0]=$a[4];
				$prior[$i][1]=$a[5];
				$prior[$i][2]=$a[6];
				$prior[$i][3]=return_rule($a[7],1);
				$prior[$i][4]="$head6";
				$d="C";
				if($sd==1)
					{
					$prior[$i][5]='<br /><span class="summary_title">'.$prior[$i][4].'</span><span class="summary_data">'.$from.'<b>'.$prior[$i][1].$d.'</b>'.$to.'<b>'.$prior[$i][2].$d.'</b></span> <span class="con">'.$prior[$i][3].'</span>';
					$prior[$i][6]="";
					}
				else
					{
					if ($e_s=="1")
						{
						if($prior[$i][3]=="$or")
							{
							$options='<select id="temp_rule"><option value="1">'.$or.'</option><option value="2">'.$and.'</option></select>';
							}
						else if($prior[$i][3]=="$and")
							{
							$options='<select id="temp_rule"><option value="2">'.$and.'</option><option value="1">'.$or.'</option></select>';
							}
						else
							{
							$options="";
							}
						$prior[$i][5]='<br /><span class="summary_title">'.$prior[$i][4].'</span><span class="summary_data">'.$from.'<input type="text" id="temp1" name="temp1" class="number" placeholder="temp1" onkeyup="temp1_validator(this.value,'.$i.',1,3);" />C'.$to.'<input type="text" id="temp2" name="temp2" class="number" placeholder="temp2" onkeyup="temp1_validator(this.value,'.$i.',1,4);" />C</span> <span class="con">'.$options.'</span>';
						$prior[$i][6]='<input type="button" id="finish" disabled="true" value="'.$value.'" onclick="change_condition('.$e_s.','.$q.','.$e_s.',12);" />';
						$r=$i;
						}
					else
						{
						$prior[$i][5]='<br /><span class="summary_title">'.$prior[$i][4].'</span><span class="summary_data">'.$from.'<b>'.$prior[$i][1].$d.'</b>'.$to.'<b>'.$prior[$i][2].$d.'</b></span> <span class="con">'.$prior[$i][3].'</span>';
						$prior[$i][6]='<input type="button" value="'.$value1.'" onclick="change_condition(1,'.$q.',8,11);" /><input type="button" class="delete" onclick="change_condition(1,'.$q.',9,12);" />';
						}
					}
				$i++;
				}
			if ($a[8]!=0)
				{
				$prior[$i][0]=$a[9];
				$prior[$i][1]=$a[10];
				$prior[$i][2]=$a[11];
				$prior[$i][3]=return_rule($a[12],1);
				$d="%";
				$prior[$i][4]="$head7";
				if($sd==1)
					{
					$prior[$i][5]='<br /><span class="summary_title">'.$prior[$i][4].'</span><span class="summary_data">'.$from.'<b>'.$prior[$i][1].$d.'</b>'.$to.'<b>'.$prior[$i][2].$d.'</b></span> <span class="con">'.$prior[$i][3].'</span>';
					$prior[$i][6]="";
					}
				else
					{
					if ($e_s=="2")
						{
						if($prior[$i][3]=="$or")
							{
							$options='<select id="hum_rule"><option value="1">'.$or.'</option><option value="2">'.$and.'</option></select>';
							}
						else if($prior[$i][3]=="$and")
							{
							$options='<select id="hum_rule"><option value="2">'.$and.'</option><option value="1">'.$or.'</option></select>';
							}
						else
							{
							$options="";
							}
						$prior[$i][5]='<br /><span class="summary_title">'.$prior[$i][4].'</span><span class="summary_data">'.$from.'<input type="text" id="hum1" class="number" placeholder="hum1" onkeyup="hum1_validator(this.value,'.$i.',1,3);" />%'.$to.'<input type="text" id="hum2" class="number" placeholder="hum2" onkeyup="hum1_validator(this.value,'.$i.',1,4);" />%</span> <span class="con">'.$options.'</span>';
						$prior[$i][6]='<input type="button" id="finish" value="'.$value.'" disabled="true" onclick="change_condition('.$e_s.','.$q.','.$e_s.',12);" />';
						$r=$i;
						}
					else
						{
						$prior[$i][5]='<br /><span class="summary_title">'.$prior[$i][4].'</span><span class="summary_data">'.$from.'<b>'.$prior[$i][1].$d.'</b>'.$to.'<b>'.$prior[$i][2].$d.'</b></span> <span class="con">'.$prior[$i][3].'</span>';
						$prior[$i][6]='<input type="button" value="'.$value1.'" onclick="change_condition(2,'.$q.',8,11);" /><input type="button" class="delete" onclick="change_condition(2,'.$q.',9,12);" />';
						}
					
					}
				
				$i++;
				}
			if ($a[13]!=0)
				{
				$prior[$i][0]=$a[14];
				$prior[$i][1]=return_rule($a[15],2);
				$prior[$i][2]=0;
				$prior[$i][3]=return_rule($a[16],1);
				$prior[$i][4]="$head8";
				$d="";
				if($sd==1)
					{
					$prior[$i][5]='<br /><span class="summary_title">'.$prior[$i][4].'</span><span class="summary_data">'.$status.'<b>'.$prior[$i][1].'</b></span> <span class="con">'.$prior[$i][3].'</span>';
					$prior[$i][6]="";
					}
				else
					{
					if ($e_s=="3")
						{
						if($prior[$i][3]=="$or")
							{
							$options='<select id="somo_rule"><option value="1">'.$or.'</option><option value="2">'.$and.'</option></select>';
							}
						else if($prior[$i][3]=="$and")
							{
							$options='<select id="somo_rule"><option value="2">'.$and.'</option><option value="1">'.$or.'</option></select>';
							}
						else
							{
							$options="";
							}
						$prior[$i][5]='<br /><span class="summary_title">'.$prior[$i][4].'</span><span class="summary_data">'.$status.'<select id="soil_moisture" name="soil_moisture" onchange="sm_validator(this.value,'.$i.',3);" >';
						if ($prior[$i][1]==$wet)
							{
							$prior[$i][5]=$prior[$i][5].'<option value="yes">'.$wet.'</option><option value="no">'.$dry.'</option></select>';
							}
						else
							{
							$prior[$i][5]=$prior[$i][5].'<option value="no">'.$dry.'</option><option value="yes">'.$wet.'</option></select>';
							}
						$prior[$i][5]=$prior[$i][5].'</span> <span class="con">'.$options.'</span>';
						$prior[$i][6]='<input type="button" id="finish" value="'.$value.'" disabled="true" onclick="change_condition('.$e_s.','.$q.','.$e_s.',12);" />';
						$r=$i;
						}
					else
						{
						$prior[$i][5]='<br /><span class="summary_title">'.$prior[$i][4].'</span><span class="summary_data">'.$status.'<b>'.$prior[$i][1].'</b></span> <span class="con">'.$prior[$i][3].'</span>';
						$prior[$i][6]='<input type="button" value="'.$value1.'" onclick="change_condition(3,'.$q.',8,11);" /><input type="button" class="delete" onclick="change_condition(3,'.$q.',9,12);" />';
						}
					}
				
				$i++;
				}
			if ($a[17]!=0)
				{
				$prior[$i][0]=$a[18];
				$prior[$i][1]=$a[19];
				$prior[$i][2]=$a[20];
				$prior[$i][3]=return_rule($a[21],1);
				$prior[$i][4]="$head9";
				$d="";
				if($sd==1)
					{
					$prior[$i][5]='<br /><span class="summary_title">'.$prior[$i][4].'</span><span class="summary_data">'.$from.'<b>'.$prior[$i][1].$d.'</b>'.$to.'<b>'.$prior[$i][2].$d.'</b></span> <span class="con">'.$prior[$i][3].'</span>';
					$prior[$i][6]="";
					}
				else
					{
					if ($e_s=="4")
						{
						if($prior[$i][3]=="$or")
							{
							$options='<select id="inli_rule"><option value="1">'.$or.'</option><option value="2">'.$and.'</option></select>';
							}
						else if($prior[$i][3]=="$and")
							{
							$options='<select id="inli_rule"><option value="2">'.$and.'</option><option value="1">'.$or.'</option></select>';
							}
						else
							{
							$options="";
							}
						$prior[$i][5]='<br /><span class="summary_title">'.$prior[$i][4].'</span><span class="summary_data">'.$from.'<input type="text" id="inli1" class="number" placeholder="inli1" onkeyup="inli1_validator(this.value,'.$i.',1,3);" />'.$to.'<input type="text" id="inli2" class="number" placeholder="inli2" onkeyup="inli1_validator(this.value,'.$i.',1,4);" /></span> <span class="con">'.$options.'</span>';
						$prior[$i][6]='<input type="button" id="finish" value="'.$value.'" disabled="true" onclick="change_condition('.$e_s.','.$q.','.$e_s.',12);" />';
						$r=$i;
						}
					else
						{
						$prior[$i][5]='<br /><span class="summary_title">'.$prior[$i][4].'</span><span class="summary_data">'.$from.'<b>'.$prior[$i][1].$d.'</b>'.$to.'<b>'.$prior[$i][2].$d.'</b></span> <span class="con">'.$prior[$i][3].'</span>';
						$prior[$i][6]='<input type="button" value="'.$value1.'" onclick="change_condition(4,'.$q.',8,11);" /><input type="button" class="delete" onclick="change_condition(4,'.$q.',9,12);" />';
						}
					}
				$i++;
				}
			if ($a[17]==0 && $a[13]==0 && $a[8]==0 && $a[3]==0)
				{
				$prior[$i][0]="0";
				$prior[$i][1]="0";
				$prior[$i][2]="0";
				$prior[$i][3]="0";
				$prior[$i][4]="0";
				$prior[$i][5]="0";
				}
			if ($i!=0)
				{
				for($d=0;$d<=$i-1;$d++)
					{
					$arr[$d]=$prior[$d][0];
					}
				array_multisort($arr,$prior);
				$d=$d-1;
				if(!empty($prior[$d][3]))
					{
					$rule="";
					if($prior[$d][4]==$head6)
						{
						$rule="temp_rule";
						}
					else if ($prior[$d][4]==$head7)
						{
						$rule="hum_rule";
						}
					else if ($prior[$d][4]==$head9)
						{
						$rule="inli_rule";
						}
					else if ($prior[$d][4]==$head8)
						{
						$rule="somo_rule";
						}
					if ($rule!="")
						{
						$sql3="UPDATE $table SET $rule='0' WHERE scenario_id='$q'";
						@ $resulto=mysql_query($sql3);
						if ($resulto==1)
							{
							$prior[$d][3]=0;
							}
						}
					}
				for($d=0;$d<=$i-1;$d++)
					{
					$msg=$msg.$prior[$d][5];
					}
				
				}			
			$msg=$title.$msg;
			}
		}
	else 
		{
		$msg="$problem";
		}
	

	

	
echo <<<a
<div id="summary1">
$msg
a;
if($q==1)
{
$sd_disabled_d="vision";
}
if ($sd!=2)
{
$msg2='<a id="msg_'.$r.'" class="o_msg msg2_pos"><b>'.$update.'</b></a>';	
echo<<<a
<div id="summary_buttons">
<div id="summary_buttons2">
<input type="button" id="edit_button" $sd_disabled class="edit" title="$edit $scenario_name!" onclick="edit_scenario(1,$q);" />  
<input type="button" id="delete_button" class="delete $sd_disabled_d" title="$delete$scenario_name!" onclick="edit_scenario(2,$q);" />  
</div>
$msg2
</div>
</div>
a;

if ((isset($_GET["f"]) && !empty($_GET["f"]) && is_numeric($_GET["f"])) || (isset($_GET["l"]) && !empty($_GET["l"]) && is_numeric($_GET["l"])) || (isset($_GET["w"]) && !empty($_GET["w"]) && is_numeric($_GET["w"])))
{
$s_msg="$head88";
$edit_class="vision11";
if (!empty($_GET["f"]))
		{
			if ($_GET["f"]=="1" || $_GET["f"]=="2")
			{
			$f=$_GET["f"];
			if ($f=="2")
				{
				$f="0";
				}
			update_device($device="fan",$status=$f,$scenario_name,$table,$device_id);
			}
		}
		else if (!empty($_GET["l"]))
		{	
			if ($_GET["l"]=="1" || $_GET["l"]=="4")
				{
				$l=$_GET["l"];
				if ($l=="4")
				{
				$l="0";
				}
				update_device($device="lighting",$status=$l,$scenario_name,$table,$device_id);
				}
		}
		else if (!empty($_GET["w"]))
		{
			if ($_GET["w"]=="1" || $_GET["w"]=="6")
				{
				$v=$_GET["w"];
				if ($v=="6")
				{
				$v="0";
				}
				update_device($device="watering",$status=$v,$scenario_name,$table,$device_id);
				}
		}
}


$na=scenario_data($scenario_name,$device_id,$table);
$F=$na[22];
$L=$na[23];
$V=$na[24];
if ($F == '1') 
{
$classf1= "class='button_on'";
if ($sd!=1)
	{
	$buttonf= "<input type='button' class='on_buttona".$sd."' name='off' title='$e1' onclick='enable1f(1,2,".$q.");' />";
	}
else
	{
	$buttonf= "<input type='button' class='on_buttona".$sd."' name='off' />";
	}
}
else
{
$classf1= "class='button_off'";
if ($sd!=1)
	{
	$buttonf= "<input type='button' class='off_buttona".$sd."' name='on' title='$e2' onclick='enable1f(1,1,".$q.");'/>";
	}
else
	{
	$buttonf= "<input type='button' class='off_buttona".$sd."' name='on' />";
	}
}

if ($L == '1') 
{
$classl1= "class='button_on'";
if ($sd!=1)
	{
	$buttonl= "<input type='button' class='on_buttona".$sd."' name='off' title='$e3' onclick='enable1f(2,4,".$q.");'/>";
	}
else
	{
	$buttonl= "<input type='button' class='on_buttona".$sd."' name='off' />";
	}

}
else
{
$classl1= "class='button_off'";
if ($sd!=1)
	{
	$buttonl= "<input type='button' class='off_buttona".$sd."' name='on' title='$e4' onclick='enable1f(2,1,".$q.");' />";
	}
else
	{
	$buttonl= "<input type='button' class='off_buttona".$sd."' name='on' />";
	}
}

if ($V == '1') 
{
$classw1= "class='button_on'";
if ($sd!=1)
	{
	$buttonw= "<input type='button' class='on_buttona".$sd."' name='off' title='$e5' onclick='enable1f(3,6,".$q.");'/>";
	}
else
	{
	$buttonw= "<input type='button' class='on_buttona".$sd."' name='off' />";
	}

}
else
{
$classw1= "class='button_off'";
if ($sd!=1)
	{
	$buttonw= "<input type='button' class='off_buttona".$sd."' name='on' title='$e6' onclick='enable1f(3,1,".$q.");'/>";
	}
else
	{
	$buttonw= "<input type='button' class='off_buttona".$sd."' name='on' />";
	}

}

echo<<<a
<table id="messages_list">
a;
for ($d=0;$d<=$i-1;$d++)
{
echo'<tr><td>'.$prior[$d][6].'</td></tr>';
}

echo<<<a
</table>
<table id="table_index" class="automation_panel" onmouseover="popup(1);" onmouseout="popup(2);">
<tr>
<td><img src='css/images/button.png' alt='button' $classf1 /> $buttonf</td>
<td><img src='css/images/button.png' alt='button' $classl1 />$buttonl</td>
<td><img src='css/images/button.png' alt='button' $classw1 />$buttonw</td>
</tr>
<tr><th>$head55</th><th>$head66</th><th>$head77</th></tr> 
</table>
<div id="s_msg" >$s_msg</div>
a;
echo<<<a
<div id="edit_msg" class="$edit_class"><input type="button" value="$save" onclick="save_scenario(3,$q);" />
<input type="button" value="$clear" onclick="save_scenario(4,$q);" /></div>
a;

}
db_close();
}

?>